#if !defined(AFX_DISPDLG_H__0F957855_3164_461D_BCDA_892DA45C995D__INCLUDED_)
#define AFX_DISPDLG_H__0F957855_3164_461D_BCDA_892DA45C995D__INCLUDED_
//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@qsl.net>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DispDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDispDlg dialog

class CDispDlg : public CDialog
{
// Construction
public:
	CDispDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDispDlg)
	enum { IDD = IDD_OUTPUT_DLG };
	CButton	m_UseTimeStampCtrl;
	CButton	m_WaveAppendCtrl;
	CStatic	m_TelmPathCtrl;
	CStatic	m_OutWaveNameCtrl;
	CStatic	m_TimeAvailCtrl;
	BOOL	m_RawLogOn;
	BOOL	m_TlmLogOn;
	BOOL	m_NetOn;
	BOOL	m_UseABlocks;
	BOOL	m_UseEBlocks;
	BOOL	m_QualifyCRC;
	int		m_NetSocket;
	CString	m_CallSign;
	BOOL	m_UseWaveOut;
	BOOL	m_UseTimeStamp;
	BOOL	m_AutoViewToggle;
	int		m_SockDataFormat;
	BOOL	m_WaveAppend;
	//}}AFX_DATA
	LOGFONT m_lfRcvFont;
	COLORREF m_crRcvBackColor;
	COLORREF m_crRcvTextColor;
	CString	m_OutWavePath;
	CString m_TelemPath;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDispDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDispDlg)
	afx_msg void OnBkcolor();
	afx_msg void OnSelfont();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSeloutwave();
	afx_msg void OnSelfolder();
	afx_msg void OnWaveappend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CString GetDiskSpaceMinutes(CString sPath);
	LONGLONG GetDriveFreeSpace(CString* pPathName);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DISPDLG_H__0F957855_3164_461D_BCDA_892DA45C995D__INCLUDED_)
