//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@qsl.net>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////
//
#if !defined(AFX_RCVEDITCTRL_H__4BA14663_5DE9_11D3_B4E7_A03B50C10000__INCLUDED_)
#define AFX_RCVEDITCTRL_H__4BA14663_5DE9_11D3_B4E7_A03B50C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RcvEditCtrl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CRcvEditCtrl window

class CRcvEditCtrl : public CRichEditCtrl
{
// Construction
public:
	CRcvEditCtrl();

public:
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRcvEditCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CRcvEditCtrl();
	void SetCharFormat(LOGFONT lfFont, COLORREF crText,
				COLORREF crBackground );

	// Generated message map functions
protected:
	//{{AFX_MSG(CRcvEditCtrl)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnEditCopy();
	afx_msg void OnKillfocus();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	void SetText(CString str);
	void CopyClip();
	void CancelSelection();
	void ClearAll();
	BOOL OKCopy();

private:
	INT m_FirstVisableLine;
	CHARFORMAT m_InsertFormat;
};


#endif // !defined(AFX_RCVEDITCTRL_H__4BA14663_5DE9_11D3_B4E7_A03B50C10000__INCLUDED_)
